Skip to main content
PUT
/
v1
/
mock-apis
/
{mockApiId}
/
open-api
Update OpenAPI document for mock API
curl --request PUT \
  --url https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/open-api \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "openApi": {
    "doc": "openapi: 3.1.0\ninfo:\n  title: Customer Contacts Management API\n  description: API for managing customer contacts including personal and professional details\n  version: 1.0.0\nservers:\n- url: https://dev-openapi-testing.wiremockapi.cloud"
  }
}
'
import requests

url = "https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/open-api"

payload = { "openApi": { "doc": "openapi: 3.1.0
info:
title: Customer Contacts Management API
description: API for managing customer contacts including personal and professional details
version: 1.0.0
servers:
- url: https://dev-openapi-testing.wiremockapi.cloud" } }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
openApi: {
doc: 'openapi: 3.1.0\ninfo:\n title: Customer Contacts Management API\n description: API for managing customer contacts including personal and professional details\n version: 1.0.0\nservers:\n- url: https://dev-openapi-testing.wiremockapi.cloud'
}
})
};

fetch('https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/open-api', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Your API key prefixed by 'Token '

Path Parameters

mockApiId
string
required

The ID of the Mock API

Required string length: 5 - 10
Example:

"jjl8y"

Body

application/json
openApi
object
required

Response

204

Successfully updated